<template>
  <div>
    <div v-for="track in tracks" :key="track.id" class="card mb-3">
      <div class="card-body">
        <h5 class="card-title">{{ track.name }}</h5>
        <p class="card-subtitle mb-2 text-muted">{{ track.artist }}</p>
        <p>Votes: {{ track.votes }}</p>
        <button @click="vote(track.id)" class="btn btn-primary">Vote</button>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  data() {
    return {
      tracks: []
    }
  },
  mounted() {
    axios.get('/api/tracks') // Asegúrate de que esta URL sea correcta
      .then(response => {
        this.tracks = response.data;
      })
      .catch(error => {
        console.error('Error fetching tracks:', error);
      });
  },
  methods: {
    vote(trackId) {
      axios.post('/api/vote', { song_id: trackId })
        .then(response => {
          alert('Thanks for voting!');
          // Actualizar los votos
          const track = this.tracks.find(t => t.id === trackId);
          if (track) {
            track.votes++;
          }
        })
        .catch(error => {
          console.error('Error voting:', error);
        });
    }
  }
}
</script>
